module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = "./src/index.ts");
/******/ })
/************************************************************************/
/******/ ({

/***/ "./src/index.ts":
/*!**********************!*\
  !*** ./src/index.ts ***!
  \**********************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const module_1 = __webpack_require__(/*! ./module */ "./src/module.ts");
const server_core_1 = __webpack_require__(/*! @common-stack/server-core */ "@common-stack/server-core");
exports.default = new server_core_1.Feature(module_1.default);


/***/ }),

/***/ "./src/module.ts":
/*!***********************!*\
  !*** ./src/module.ts ***!
  \***********************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const server_core_1 = __webpack_require__(/*! @common-stack/server-core */ "@common-stack/server-core");
const preferences_1 = __webpack_require__(/*! ./preferences */ "./src/preferences/index.ts");
const services_1 = __webpack_require__(/*! ./services */ "./src/services/index.ts");
const cssService = new services_1.CssService();
const htmlService = new services_1.HtmlService();
const jsonService = new services_1.JsonService();
exports.default = new server_core_1.Feature({
    createPreference: preferences_1.preferences,
    createContextFunc: () => ({ css: cssService, html: htmlService, json: jsonService, jsonc: jsonService, jsonc2: jsonService }),
});


/***/ }),

/***/ "./src/preferences/index.ts":
/*!**********************************!*\
  !*** ./src/preferences/index.ts ***!
  \**********************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(/*! ./preferences */ "./src/preferences/preferences.ts"));


/***/ }),

/***/ "./src/preferences/preferences.ts":
/*!****************************************!*\
  !*** ./src/preferences/preferences.ts ***!
  \****************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
exports.preferences = {
    'languages.css': {
        type: 'boolean',
        default: true,
        description: 'When enabled, css language connected',
    },
    'languages.html': {
        type: 'boolean',
        default: true,
        description: 'When enabled, html language connected',
    },
    'languages.json': {
        type: 'boolean',
        default: true,
        description: 'When enabled, json language connected',
    },
    'languages.yaml': {
        type: 'boolean',
        default: true,
        description: 'When enabled, yaml language connected',
    },
};


/***/ }),

/***/ "./src/services/css-service.ts":
/*!*************************************!*\
  !*** ./src/services/css-service.ts ***!
  \*************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const inversify_1 = __webpack_require__(/*! inversify */ "inversify");
const vscode_css_languageservice_1 = __webpack_require__(/*! vscode-css-languageservice */ "vscode-css-languageservice");
const language_core_1 = __webpack_require__(/*! @workbench-stack/language-core */ "@workbench-stack/language-core");
const lodash = __webpack_require__(/*! lodash */ "lodash");
const server_1 = __webpack_require__(/*! @cdm-logger/server */ "@cdm-logger/server");
let CssService = class CssService {
    constructor() {
        this.activation = new Promise((resolve, reject) => {
            this.activated = resolve;
        });
        this.openedDocumentUris = new Map();
        this.cssService = vscode_css_languageservice_1.getCSSLanguageService();
        this.pendingValidationRequests = new Map();
        this.onInitialize = () => {
            server_1.logger.debug('The css server is initialized.');
            return {
                capabilities: {
                    completionProvider: true,
                    hoverProvider: false,
                    documentSymbolProvider: true,
                    referencesProvider: true,
                    definitionProvider: true,
                    documentHighlightProvider: true,
                    renameProvider: true,
                    colorProvider: true,
                },
            };
        };
        this.onDidOpenTextDocument = (params) => __awaiter(this, void 0, void 0, function* () {
            server_1.logger.debug('onDidOpenTextDocument css');
            yield this.activation;
            const path = language_core_1.uriToPath(params.textDocument.uri);
            const document = new language_core_1.TextDocument(params.textDocument);
            this.openedDocumentUris.set(params.textDocument.uri, document);
        });
        this.onDidChangeTextDocument = (params) => __awaiter(this, void 0, void 0, function* () {
            server_1.logger.debug('onDidChangeTextDocument css');
            yield this.activation;
            const document = this.getOpenDocument(params.textDocument.uri);
            const changes = language_core_1.convertChangesRange(params.contentChanges);
            document.apply(changes, params.textDocument.version);
        });
        this.onDidCloseTextDocument = (params) => __awaiter(this, void 0, void 0, function* () {
            yield this.activation;
            const path = language_core_1.uriToPath(params.textDocument.uri);
            this.openedDocumentUris.delete(params.textDocument.uri);
        });
        this.activated();
    }
    onReferences(params) {
        let document = this.getOpenDocument(params.textDocument.uri);
        const cssDocument = this.getCSSDocument(document);
        return this.cssService.findReferences(document, params.position, cssDocument);
    }
    onDocumentHighlight(params) {
        let document = this.getOpenDocument(params.textDocument.uri);
        const cssDocument = this.getCSSDocument(document);
        return this.cssService.findDocumentHighlights(document, params.position, cssDocument);
    }
    onDefinition(params) {
        server_1.logger.debug('onDefinition css');
        let document = this.getOpenDocument(params.textDocument.uri);
        const cssDocument = this.getCSSDocument(document);
        const res = this.cssService.findDefinition(document, params.position, cssDocument);
        if (res === null) {
            return {
                uri: params.textDocument.uri,
                range: null,
            };
        }
        return res;
    }
    onDocumentSymbol(params) {
        const document = this.getOpenDocument(params.textDocument.uri);
        const cssDocument = this.getCSSDocument(document);
        const res = this.cssService.findDocumentSymbols(document, cssDocument);
        return res.map(item => {
            if (!item.containerName) {
                item.containerName = '';
            }
            return item;
        });
    }
    onHover(params) {
        const document = this.getOpenDocument(params.textDocument.uri);
        const cssDocument = this.getCSSDocument(document);
        const res = this.cssService.doHover(document, params.position, cssDocument);
        if (res) {
            res.contents = lodash.map(res.contents, item => {
                return {
                    value: item,
                    language: 'json',
                };
            });
        }
        return res;
    }
    onCompletion(params) {
        const document = this.getOpenDocument(params.textDocument.uri);
        const cssDocument = this.getCSSDocument(document);
        const res = this.cssService.doComplete(document, params.position, cssDocument);
        res.items = res.items.map(item => {
            if (!item.detail) {
                item.detail = '';
            }
            return item;
        });
        return res;
    }
    getCSSDocument(document) {
        return this.cssService.parseStylesheet(document);
    }
    getOpenDocument(uri) {
        const doc = this.openedDocumentUris.get(uri);
        if (doc) {
            return doc;
        }
        else {
            throw new Error('Document ' + uri + ' has not been opened.');
        }
    }
};
CssService = __decorate([
    inversify_1.injectable()
], CssService);
exports.CssService = CssService;


/***/ }),

/***/ "./src/services/html-service.ts":
/*!**************************************!*\
  !*** ./src/services/html-service.ts ***!
  \**************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const inversify_1 = __webpack_require__(/*! inversify */ "inversify");
const vscode_html_languageservice_1 = __webpack_require__(/*! vscode-html-languageservice */ "vscode-html-languageservice");
const language_core_1 = __webpack_require__(/*! @workbench-stack/language-core */ "@workbench-stack/language-core");
const server_1 = __webpack_require__(/*! @cdm-logger/server */ "@cdm-logger/server");
let HtmlService = class HtmlService {
    constructor() {
        this.openedDocumentUris = new Map();
        this.htmlService = vscode_html_languageservice_1.getLanguageService();
        this.onInitialize = () => {
            server_1.logger.debug('The html server is initialized.');
            return {
                capabilities: {
                    completionProvider: true,
                    hoverProvider: true,
                    documentHighlightProvider: true,
                    documentRangeFormattingProvider: false,
                    documentLinkProvider: true,
                    documentSymbolProvider: true,
                    signatureHelpProvider: { triggerCharacters: ['('] },
                    referencesProvider: true,
                    colorProvider: true,
                },
            };
        };
        this.onDidOpenTextDocument = params => {
            server_1.logger.debug('onDidOpenTextDocument  html');
            const path = language_core_1.uriToPath(params.textDocument.uri);
            const document = new language_core_1.TextDocument(params.textDocument);
            this.openedDocumentUris.set(params.textDocument.uri, document);
        };
        this.onDidChangeTextDocument = params => {
            server_1.logger.debug('onDidChangeTextDocument html');
            const document = this.getOpenDocument(params.textDocument.uri);
            const changes = language_core_1.convertChangesRange(params.contentChanges);
            document.apply(changes, params.textDocument.version);
        };
        this.onDidCloseTextDocument = (params) => __awaiter(this, void 0, void 0, function* () {
            const path = language_core_1.uriToPath(params.textDocument.uri);
            this.openedDocumentUris.delete(params.textDocument.uri);
        });
    }
    onDocumentFormatting(params) {
        const document = this.getOpenDocument(params.textDocument.uri);
        return this.htmlService.format(document, params.range, params.options);
    }
    onDocumentSymbol(params) {
        const document = this.getOpenDocument(params.textDocument.uri);
        const htmlDocument = this.getHTMLDocument(document);
        return this.htmlService.findDocumentSymbols(document, htmlDocument);
    }
    onDocumentHighlight(params) {
        const document = this.getOpenDocument(params.textDocument.uri);
        const htmlDocument = this.getHTMLDocument(document);
        return this.htmlService.findDocumentHighlights(document, params.position, htmlDocument);
    }
    onDocumentLinks(params) {
        const document = this.getOpenDocument(params.textDocument.uri);
        const htmlDocument = this.getHTMLDocument(document);
        const res = this.htmlService.findDocumentLinks(document, htmlDocument['_content']);
        return res.map(item => {
            return Object.assign({}, item, { url: item.target });
        });
    }
    onHover(params) {
        const document = this.getOpenDocument(params.textDocument.uri);
        const htmlDocument = this.getHTMLDocument(document);
        return this.htmlService.doHover(document, params.position, htmlDocument);
    }
    onCompletion(params) {
        const document = this.getOpenDocument(params.textDocument.uri);
        const htmlDocument = this.getHTMLDocument(document);
        const res = this.htmlService.doComplete(document, params.position, htmlDocument);
        res.items = res.items.map(item => {
            if (!item.detail) {
                item.detail = '';
            }
            return item;
        });
        return res;
    }
    getHTMLDocument(document) {
        return this.htmlService.parseHTMLDocument(document);
    }
    getOpenDocument(uri) {
        const doc = this.openedDocumentUris.get(uri);
        if (doc) {
            return doc;
        }
        else {
            throw new Error('Document ' + uri + ' has not been opened.');
        }
    }
};
HtmlService = __decorate([
    inversify_1.injectable()
], HtmlService);
exports.HtmlService = HtmlService;


/***/ }),

/***/ "./src/services/index.ts":
/*!*******************************!*\
  !*** ./src/services/index.ts ***!
  \*******************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(/*! ./css-service */ "./src/services/css-service.ts"));
__export(__webpack_require__(/*! ./json-service */ "./src/services/json-service.ts"));
__export(__webpack_require__(/*! ./html-service */ "./src/services/html-service.ts"));


/***/ }),

/***/ "./src/services/json-service.ts":
/*!**************************************!*\
  !*** ./src/services/json-service.ts ***!
  \**************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const inversify_1 = __webpack_require__(/*! inversify */ "inversify");
const fs = __webpack_require__(/*! fs */ "fs");
const request_light_1 = __webpack_require__(/*! request-light */ "request-light");
const vscode_uri_1 = __webpack_require__(/*! vscode-uri */ "vscode-uri");
const vscode_json_languageservice_1 = __webpack_require__(/*! vscode-json-languageservice */ "vscode-json-languageservice");
const vscode_languageserver_1 = __webpack_require__(/*! vscode-languageserver */ "vscode-languageserver");
const language_core_1 = __webpack_require__(/*! @workbench-stack/language-core */ "@workbench-stack/language-core");
const lodash = __webpack_require__(/*! lodash */ "lodash");
const server_1 = __webpack_require__(/*! @cdm-logger/server */ "@cdm-logger/server");
let JsonService = class JsonService {
    constructor() {
        this.openedDocumentUris = new Map();
        this.activation = new Promise((resolve, reject) => {
            this.activated = resolve;
        });
        this.jsonService = vscode_json_languageservice_1.getLanguageService({
            schemaRequestService: this.resovleSchema.bind(this),
        });
        this.pendingValidationRequests = new Map();
        this.documents = new vscode_languageserver_1.TextDocuments();
        this.onDidOpenTextDocument = (params) => __awaiter(this, void 0, void 0, function* () {
            server_1.logger.debug('onDidOpenTextDocument json');
            yield this.activation;
            const path = language_core_1.uriToPath(params.textDocument.uri);
            const document = new language_core_1.TextDocument(params.textDocument);
            this.openedDocumentUris.set(params.textDocument.uri, document);
        });
        this.onDidChangeTextDocument = (params) => __awaiter(this, void 0, void 0, function* () {
            server_1.logger.debug('onDidChangeTextDocument json');
            yield this.activation;
            const document = this.getOpenDocument(params.textDocument.uri);
            const changes = language_core_1.convertChangesRange(params.contentChanges);
            document.apply(changes, params.textDocument.version);
        });
        this.onDidCloseTextDocument = (params) => __awaiter(this, void 0, void 0, function* () {
            yield this.activation;
            const path = language_core_1.uriToPath(params.textDocument.uri);
            this.openedDocumentUris.delete(params.textDocument.uri);
        });
        this.activated();
    }
    onInitialize(params) {
        return {
            capabilities: {
                completionProvider: true,
                hoverProvider: true,
                documentSymbolProvider: true,
                documentFormattingProvider: true,
                textDocumentSync: false,
                definitionProvider: false,
                referencesProvider: false,
                workspaceSymbolProvider: false,
                documentHighlightProvider: false,
                documentLinkProvider: false,
                renameProvider: false,
            },
        };
    }
    onDocumentFormatting(params) {
        server_1.logger.debug('format json');
        const document = this.getOpenDocument(params.textDocument.uri);
        return this.jsonService.format(document, params.range, params.options);
    }
    onDocumentSymbol(params) {
        server_1.logger.debug('findDocumentSymbols json');
        const document = this.getOpenDocument(params.textDocument.uri);
        const jsonDocument = this.getJSONDocument(document);
        const jsonDocumentEditor = lodash.clone(document);
        jsonDocumentEditor.uri = document.uri._path;
        const res = this.jsonService.findDocumentSymbols(jsonDocumentEditor, jsonDocument);
        return res.map(item => {
            if (!item.containerName) {
                item.containerName = '';
            }
            return item;
        });
    }
    executeCommand(params, executeCommandExported) {
        executeCommandExported(params, this.documents);
    }
    onHover(params) {
        return __awaiter(this, void 0, void 0, function* () {
            server_1.logger.debug('onHover');
            const document = this.getOpenDocument(params.textDocument.uri);
            const jsonDocument = this.getJSONDocument(document);
            const { line, character } = params.position;
            const res = yield this.jsonService.doHover(document, params.position, jsonDocument);
            if (!res) {
                return { contents: [], range: { start: {}, end: {} } };
            }
            res.contents = lodash.map(res.contents, item => {
                return {
                    value: item,
                    language: 'json',
                };
            });
            return res;
        });
    }
    resovleSchema(url) {
        server_1.logger.debug('resovleSchema  json');
        const uri = vscode_uri_1.default.parse(url);
        if (uri.scheme === 'file') {
            return new Promise((resolve, reject) => {
                fs.readFile(uri.fsPath, 'UTF-8', (err, result) => {
                    err ? reject('') : resolve(result.toString());
                });
            });
        }
        return request_light_1.xhr({ url, followRedirects: 5 }).then(response => {
            return response.responseText;
        }, (error) => {
            return Promise.reject(error.responseText || request_light_1.getErrorStatusDescription(error.status) || error.toString());
        });
    }
    resolveCompletion(item) {
        server_1.logger.debug('resolveCompletion  json');
        return this.jsonService.doResolve(item);
    }
    onCompletion(params) {
        server_1.logger.debug('completion  json');
        const document = this.getOpenDocument(params.textDocument.uri);
        const jsonDocument = this.getJSONDocument(document);
        return this.jsonService.doComplete(document, params.position, jsonDocument);
    }
    getJSONDocument(document) {
        return this.jsonService.parseJSONDocument(document);
    }
    getOpenDocument(uri) {
        const doc = this.openedDocumentUris.get(uri);
        if (doc) {
            return doc;
        }
        else {
            throw new Error('Document ' + uri + ' has not been opened.');
        }
    }
    onDefinition() {
        return {
            uri: 'some',
            range: {
                line: 0,
                character: 0,
            },
        };
    }
};
JsonService = __decorate([
    inversify_1.injectable()
], JsonService);
exports.JsonService = JsonService;


/***/ }),

/***/ "@cdm-logger/server":
/*!*************************************!*\
  !*** external "@cdm-logger/server" ***!
  \*************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("@cdm-logger/server");

/***/ }),

/***/ "@common-stack/server-core":
/*!********************************************!*\
  !*** external "@common-stack/server-core" ***!
  \********************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("@common-stack/server-core");

/***/ }),

/***/ "@workbench-stack/language-core":
/*!*************************************************!*\
  !*** external "@workbench-stack/language-core" ***!
  \*************************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("@workbench-stack/language-core");

/***/ }),

/***/ "fs":
/*!*********************!*\
  !*** external "fs" ***!
  \*********************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("fs");

/***/ }),

/***/ "inversify":
/*!****************************!*\
  !*** external "inversify" ***!
  \****************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("inversify");

/***/ }),

/***/ "lodash":
/*!*************************!*\
  !*** external "lodash" ***!
  \*************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("lodash");

/***/ }),

/***/ "request-light":
/*!********************************!*\
  !*** external "request-light" ***!
  \********************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("request-light");

/***/ }),

/***/ "vscode-css-languageservice":
/*!*********************************************!*\
  !*** external "vscode-css-languageservice" ***!
  \*********************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("vscode-css-languageservice");

/***/ }),

/***/ "vscode-html-languageservice":
/*!**********************************************!*\
  !*** external "vscode-html-languageservice" ***!
  \**********************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("vscode-html-languageservice");

/***/ }),

/***/ "vscode-json-languageservice":
/*!**********************************************!*\
  !*** external "vscode-json-languageservice" ***!
  \**********************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("vscode-json-languageservice");

/***/ }),

/***/ "vscode-languageserver":
/*!****************************************!*\
  !*** external "vscode-languageserver" ***!
  \****************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("vscode-languageserver");

/***/ }),

/***/ "vscode-uri":
/*!*****************************!*\
  !*** external "vscode-uri" ***!
  \*****************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("vscode-uri");

/***/ })

/******/ });
//# sourceMappingURL=index.js.map